EDIT - feature request #980

Links to relevant external website(s) in taxon pages
09/03/2009 03:14 PM - Soraya Villalba

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.25

Severity: major

Description

Soraya suggested that we discuss what links we need and how they should be displayed. We think this is really important now to
raise the credibility of EDIT portals. We've made a list below. In general these may be best represented by opening new windows,
but if embedding is an option it would be worth considering - perhaps Andreas K etc could keep us informed if other options are
available.

For us the top priority would be:

Specimen resources:

GBIF - basically open new windown to show data and maps in GBIF portal. Are there any options for embedding any of this in our
pages? If so, should we be considering this? We are not sure if it would be helpful to embed or not, given that we have our own maps
already.

Museum/Herbarium specimen databases (e.g. New York Botanical Garden, Missouri Botanical Garden/TROPICOS, Kew, National
Herbarium of the Netherlands, NHM Paris - there are many of these and it would be useful to have the flexibility to link to any or all of
GBIF, perhaps configurable under administrator options)

Molecular etc:

Genbank/NCBI - check out Solanaceae source - nicely done there, showing not just DNA sequences, but also proteins and Pubmed
records.

Conservation:
IUCN - open new window in IUCN red list site.
Image resources:

e Google Images - Open new window

¢ Flickr - Open new window

¢ Morphbank - Maybe? We aren't very impressed by the palm content in here. Is this important for other people?

Literature resources:
e Google Scholar - Open in new window

e BHL - Open in new window

Any more suggestions anyone?
Cheers,
Bill & Soraya

See Solanaceae source for an example
http://www.nhm.ac.uk/research-curation/research/projects/solanaceaesource/taxonomy/description-detail.jsp?spnumber=1213
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/Independently
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/Independently
http://www.nhm.ac.uk/research-curation/research/projects/solanaceaesource/taxonomy/description-detail.jsp?spnumber=1213

Related issues:

Related to EDIT - task #8865: more external-links to be implemented In Progress
Related to EDIT - bug #8364: ext-links module: problems Closed
Related to EDIT - task #9659: External Links Module reimplemented for flexibl... Closed

Associated revisions

Revision a67bf94e - 06/30/2021 01:44 PM - Andreas Kohlbecker
ref #980 adding PubMed to default ext_links

History

#1 - 10/08/2009 12:04 PM - Andreas Kohlbecker
- Target version deleted ()

- Priority changed from Priority08 to Priority14

#2 - 10/13/2009 01:32 PM - Andreas Kohlbecker

Dear Soraya & Bill,

Alexander is in vacation this week. Next week we will investigate the option to embed these external resources into the data portals. If we embed
there will be one question to solve. From the Dataportal we will search the external service or website by the name of the taxon and maybe also by all

synonyms. The results from the external services will in many cases contain data on different taxon concepts. So there will always be a difference
between the taxon concept displayed in the portal and of the embedded resultsets returned by external services.

If we would just link to GBIF, GenBank, etc we would of course avoid the burden to tackle this question.

Cheers

Andreas

#3 - 10/13/2009 01:33 PM - Andreas Kohlbecker

behalf of Bill

Yes, this is obviously an issue that concerns us all. However, just by providing a search on an accepted name and its synonyms is a wonderful thing
to offer. If there is a risk that data returned by such searches is not compatible with the concepts in the portals, it might be better deliviered in a new
window in the source site, rather than embedding in our site. This will be interesting to discuss when you know the options. | am looking forward to
hearing more from you and we are here to help you with decision making when you need us.

All the best

Bill

#4 - 10/14/2009 03:54 PM - Andreas Kohlbecker

behlaf on Ralf

Additional resources should be:

EMBL (as an European alternative to Genbank) PubMed (another literature source)

Is it really necessary to separately link herbarium specimen databases if GBIF will be linked? Most if not all relevant collections are represented by the
latter.

Another question is where all these links will be shown in the portals. It will influence layout and graphics a lot. We are a bit hesitant regarding the
image resources, e.g. both Google Images and Morphbank are not really helpful for Cichoarieae.

#5 - 10/14/2009 04:12 PM - Andreas Kohlbecker
behlaf of Bill

On EMBL/Genbank - EMBL is a nucleotide database, if | understand correctly, run by EBI. EBI exchanges nucleotide data with NCBI (who host
genbank) all the time, so it is really semantic to choose one over the other. NCBI, however, provide this nice cross-database search called Entrez
http://www.ncbi.nlm.nih.gov/sites/gquery which delivers results on nucleotides, proteins, PubMed, etc etc etc. | think we are primarily interested in the
nucleotide and literature results, | guess, but it would be great to use that mechanism for the breadth of the resources that it explores. As | said in my
last message, please look at how Solanaceae source does this - it returns results on nucleotide and PubMed embedded within the page, but if you
want to see more it takes you to a full Entrez research result. | think we should emulate this.

As for herbarium specimen databases, yes | do think we need to have access to that as an option, perhaps configurable by adminstrator. Sadly, not
all institutions are effectively joined up to GBIF (e.g. Kew!!!l), and many of these sites deliver images as well. | need the option to link to the
catalogues of some of the most important herbaria/museums in Palmweb. | think we need it in general to be competitive.
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/On
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/On
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/On
http://www.ncbi.nlm.nih.gov/sites/gquery

Cheers

Bill

#6 - 10/19/2009 12:00 PM - Soraya Villalba
Hi Andreas K,

in a reply to Ralf et al. regarding their concern about linking to Google Images and Morphbank you said that the linking to external resources would be
configurable and the admin will be able to switch them on/off.

What do you have in mind? A list of predifined sites shown as a dropdown list or set of checkboxes the admin can choose from?

If so, would it be possible to add more external sites to the list? The portal admin could enter the url and search string for them. That would be very
useful.

Regarding presentation. The external links could appear as a box (maybe belwo the classification tree) in the taxon page entitled "Resources", ideally
with labels identifying the type of resource (e.g. specimens, literature, iamges, etc). These links would open the external site in a new window.

Regarding embedding vs. linking. Even though it would be nice to extract the data from the external site, linking would be easier and probably more
consistent (I guess not all sites provide a means for others to extract their data).

Soraya

#7 - 11/04/2009 11:02 AM - Andreas Kohlbecker
- Target version changed from SPRINT PalmWebPortal 1 to SPRINT PalmWebPortal 2

#8 - 11/16/2009 10:16 AM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Alexander Kroupa

#9 - 11/18/2009 10:37 AM - Alexander Kroupa

With Andreas K. we discussed the implementation in drupal. We would like to realize the presentation of the external links as a drupal block module.
So the external links could be placed on different areas within the website.

Each link to an external website could be configured in the settings of this module. Each link could be given a name (e.g. "Search Google..."), the link
to the website - except the taxon name - and the possibility to choose one link or not.

A next step could be to include synonyms into the search, if this is possible within the external webprojects.

#10 - 12/07/2009 02:20 PM - Katja Luther
- Status changed from New to Closed
- Resolution set to fixed

- % Done changed from 0 to 100

#11 - 03/24/2013 05:37 PM - Gabriele Droge

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

- % Done changed from 100 to 0

- Target version changed from SPRINT PalmWebPortal 2 to cdm_dataportal - Next Major Release

| would like to reopen this ticket, since the final discussion was coming up last week again and it is not fixed. Manual selection of used external
services at data portal would be nice to have in settings of data portal.

Attention: link to GBIF doesn't work for infraspecific taxa! The link refers to species level. Please enable it! Example:

http://dev.e-taxonomy.eu/dataportal/corvidae/cdm_dataportal/taxon/ac3e0835-6e67-4651-8c47-30b4dd35d433 currently links out to:
http://data.gbif.org/species/Corvus_macrorhynchos but should link out to http://data.gbif.org/species/Corvus_macrorhynchos_intermedius instead

Thoughts about GBIF occurrence maps at cdm data portal:

would be a nice feature to embed it into the portal, since it includes all GBIF records in opposite to the specimen map at cdm data portal.
#12 - 03/25/2013 10:38 AM - Andreas Kohlbecker

Replying to g.droege:

| would like to reopen this ticket, since the final discussion was coming up last week again and it is not fixed. Manual selection of used external
services at data portal would be nice to have in settings of data portal.
http://dev.e-taxonomy.eu/dataportal/corvidae/cdm_dataportal/taxon/ac3e0835-6e67-4651-8c47-30b4dd35d433
http://data.gbif.org/species/Corvus_macrorhynchos
http://data.gbif.org/species/Corvus_macrorhynchos_intermedius
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/Comment13

| would rather prefer opening a new ticket.

The following links will lead you to the settings for the external links:
http://dev.e-taxonomy.eu/dataportal/corvidae/#overlay=admin/config/cdm_dataportal/extlinks

Is this what you are looking for?

Attention: link to GBIF doesn't work for infraspecific taxa! The link refers to species level. Please enable it! Example:
http://dev.e-taxonomy.eu/dataportal/corvidae/cdm_dataportal/taxon/ac3e0835-6e67-4651-8¢c47-30b4dd35d433 currently links out to:
http://data.gbif.org/species/Corvus_macrorhynchos but should link out to http://data.gbif.org/species/Corvus_macrorhynchos_intermedius
instead

Could you please open an new ticket for this?

#13 - 01/31/2020 11:43 AM - Andreas Kohlbecker

- Tags set to external-links

#14 - 02/26/2020 11:20 AM - Andreas Kohlbecker

- Target version changed from cdm_dataportal - Next Major Release to Release 5.14

#15 - 02/28/2020 09:53 AM - Andreas Kohlbecker
- Description updated
- Assignee changed from Alexander Kroupa to Andreas Kohlbecker

- Private changed from Yes to No

#16 - 02/28/2020 10:13 AM - Andreas Kohlbecker

- Related to task #8865: more external-links to be implemented added

#17 - 04/08/2020 10:36 AM - Andreas Kohlbecker

- Status changed from Feedback to New

#18 - 04/08/2020 03:55 PM - Andreas Miiller

- Target version changed from Release 5.14 to Release 5.15

#19 - 06/23/2020 01:56 PM - Andreas Miiller

- Target version changed from Release 5.15 to Release 5.18

#20 - 01/13/2021 04:11 PM - Andreas Kohlbecker

- Target version changed from Release 5.18 to Release 5.19

#21 - 01/27/2021 03:12 PM - Andreas Kohlbecker

- Target version changed from Release 5.19 to Release 5.21

#22 - 03/10/2021 03:01 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#23 - 04/19/2021 02:48 PM - Andreas Kohlbecker

- Target version changed from Release 5.22 to Release 5.46

#24 - 04/20/2021 08:35 AM - Andreas Kohlbecker

- Target version changed from Release 5.46 to Release 5.25

#25 - 04/20/2021 09:47 AM - Andreas Miiller
- Related to bug #8364: ext-links module: problems added

#26 - 06/28/2021 01:33 PM - Andreas Kohlbecker

- Related to task #9659: External Links Module reimplemented for flexible configuration added
http://dev.e-taxonomy.eu/dataportal/corvidae/#overlay=admin/config/cdm_dataportal/extlinks
http://dev.e-taxonomy.eu/dataportal/corvidae/cdm_dataportal/taxon/ac3e0835-6e67-4651-8c47-30b4dd35d433
http://data.gbif.org/species/Corvus_macrorhynchos
http://data.gbif.org/species/Corvus_macrorhynchos_intermedius

#27 - 06/30/2021 01:47 PM - Andreas Kohlbecker
- Status changed from New to Closed

- % Done changed from 0 to 100

PubMed added to the defaults of external links, and all open tasks related to this ticket are solved now.
